<script lang="ts">
  import PrimaryMenu from 'src/components/primaryMenu/primaryMenu.svelte'
  import { route } from 'src/components/router'
  import Blue from 'src/screens/blue/blue.svelte'
  import Green from 'src/screens/green/green.svelte'

  const Version = 'ApplicationVersion' // replaced at build-time
</script>

<style>
  app {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  main {
    text-align: center;
    padding: 1em;
    max-width: 400px;
    margin: 0 auto;
  }

  :global(html),
  :global(body) {
    overflow: hidden;
    height: 100%;
    font-size: 100%;
  }

  :global(*),
  :global(*::before),
  :global(*::after) {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

  :global(li) {
    list-style: none;
  }
</style>

<app>
  <h1>App {Version}</h1>

  <PrimaryMenu />

  <main>
    {#if $route.name === 'index'}
      Index
    {:else if $route.name === 'shapes'}
      <Green />
    {:else if $route.name === 'shape'}
      <Blue params={$route.params} />
    {:else}404{/if}
  </main>
</app>
